changeset 2491:14be80e4c69f

Patch tool: Adding some progress messages to long processes.
author Ryan Pavlik <rpavlik@iastate.edu>
date Mon, 07 May 2012 12:45:03 -0500
parents 0db1b21402e9
children b48e499007b7
files tools/patch-tool-mxe
diffstat 1 files changed, 9 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/tools/patch-tool-mxe	Mon May 07 12:44:38 2012 -0500
+++ b/tools/patch-tool-mxe	Mon May 07 12:45:03 2012 -0500
@@ -46,19 +46,28 @@
 function init_git {
   setupEnv
   cd $gitsdir
+
+  echo "Checking for cached $pkg_file"
   if [ ! -f $mxedir/pkg/$pkg_file ]; then
     make -C "$mxedir" download-$pkg
+    echo "Building the mxe Makefile target 'download-$pkg' to get missing file"
     if [ ! $? -eq 0 ]; then
       echo "Could not build target download-$pkg - cancelling init." >&2
       exit 1
     fi
   fi
+
+  echo "Unpacking archive..."
   echo $pkg_file | grep "\.tar\.gz"  >> /dev/null && tar xf $mxedir/pkg/$pkg_file
   echo $pkg_file | grep "\.tar\.bz2" >> /dev/null && tar xf $mxedir/pkg/$pkg_file
   echo $pkg_file | grep "\.tar\.xz"  >> /dev/null && xz -dc $mxedir/pkg/$pkg_file | tar xf -
   echo $pkg_file | grep "\.zip"      >> /dev/null && unzip  $mxedir/pkg/$pkg_file >> /dev/null
+
+  echo "Initializing repo and adding all as first commit"
   cd $gitsdir/$pkg_subdir && \
   (git init; git add -A; git commit -m "init") > /dev/null
+
+  echo "Tagging distribution tarball state"
   git tag dist
 }